/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

includeTargets << grailsScript("_GrailsSettings")

target(packageDocumentation: "Package the application's documentation into a zip file in the target directory.") {
  ant.mkdir(dir: "target")
  ant.zip(
	destFile: "${basedir}/target/${grailsAppName}-${metadata.getApplicationVersion()}-doc.zip",
	basedir: "${basedir}/target/docs"
 )
}
