/*
 * Copyright 2009-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an
 *
 * "AS IS" BASIS,  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 *
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */

package edu.kit.iism.tacdemo

public enum CompetitionStatus {
  Created(1),
  Scheduled(2),
  Initialized(3),
  Ready(4),
  Running(5),
  Finished(6),
  Interrupted(7)

  private final int idVal;

  CompetitionStatus(int id) {this.idVal = id; }
  public int getId() { return idVal; }

}