
<%@ page import="edu.kit.iism.tacdemo.Competition" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'competition.label', default: 'Competition')}" />
        <title>Send ready message</title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
        </div>
        <div class="body">
            <h1>Send ready notification</h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${competitionInstance}">
            <div class="errors">
                <g:renderErrors bean="${competitionInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form action="sendReady" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="serverId">Competition Id</label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: competitionInstance, field: 'serverId', 'errors')}">
                                    <g:textField name="serverId" value="${fieldValue(bean: competitionInstance, field: 'serverId')}" />
                                </td>
                            </tr>
                            <tr>
                              <td colspan="2"><small>You can lookup the competition Id in the invitation mail you received or by displaying the competition you want to join on the TAC Energy server.</small></td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="Send Ready Notification" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
